## grails.test
Class GrailsUrlMappingsTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              groovy.util.GroovyTestCase
                  grails.test.GrailsUrlMappingsTestCase

All Implemented Interfaces:
  groovy.lang.GroovyObject, junit.framework.Test

    public class GrailsUrlMappingsTestCase

extends groovy.util.GroovyTestCase
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class groovy.util.GroovyTestCase
`log, TEST_SCRIPT_NAME_PREFIX`

Constructor Summary
`GrailsUrlMappingsTestCase()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `assertAction(Object controller, Object action, Object url)`
`Object` `assertController(Object controller, Object url)`
`void` `assertForwardUrlMapping(Object assertions, Object url)`
`void` `assertForwardUrlMapping(Object assertions, Object url, Object paramAssertions)`
`void` `assertReverseUrlMapping(Object assertions, Object url)`
`void` `assertReverseUrlMapping(Object assertions, Object url, Object paramAssertions)`
`void` `assertUrlMapping(Object assertions, Object url)`
`void` `assertUrlMapping(Object assertions, Object url, Object paramAssertions)`
`Object` `assertView(Object controller, Object view, Object url)`
`Object` `createControllerMap()`
`Object` `createMappingsHolder()`
`Object` `getActions(Object controller)`
`Object` `getAssertionKeys()`
`Object` `getClassLoader()`
`Object` `getControllers()`
`Object` `getDefaultAction(Object controllerName)`
`Object` `getGrailsApplication()`
`Object` `getMappingEvaluator()`
`Object` `getMappingsHolder()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getPatternResolver()`
`Object` `getProperty(String property)`
`Object` `getUrlMappingEvaluatees()`
`Object` `getWebRequest()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setAssertionKeys(Object value)`
`void` `setClassLoader(Object value)`
`void` `setControllers(Object value)`
`void` `setGrailsApplication(Object value)`
`void` `setMappingEvaluator(Object value)`
`void` `setMappingsHolder(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setPatternResolver(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setUp()`
`void` `setWebRequest(Object value)`
`void` `tearDown()`

Methods inherited from class groovy.util.GroovyTestCase
`assertArrayEquals, assertContains, assertContains, assertEquals, assertEquals, assertEquals, assertInspect, assertLength, assertLength, assertLength, assertScript, assertToString, fixEOLs, getMethodName, getName, getTestClassName, notYetImplemented, notYetImplemented, shouldFail, shouldFail, shouldFailWithCause`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsUrlMappingsTestCase

    public GrailsUrlMappingsTestCase()

Method Detail

### getWebRequest

    public Object getWebRequest()

### setWebRequest

    public void setWebRequest(Object value)

### getMappingsHolder

    public Object getMappingsHolder()

### setMappingsHolder

    public void setMappingsHolder(Object value)

### getControllers

    public Object getControllers()

### setControllers

    public void setControllers(Object value)

### getAssertionKeys

    public Object getAssertionKeys()

### setAssertionKeys

    public void setAssertionKeys(Object value)

### getPatternResolver

    public Object getPatternResolver()

### setPatternResolver

    public void setPatternResolver(Object value)

### getClassLoader

    public Object getClassLoader()

### setClassLoader

    public void setClassLoader(Object value)

### getMappingEvaluator

    public Object getMappingEvaluator()

### setMappingEvaluator

    public void setMappingEvaluator(Object value)

### getGrailsApplication

    public Object getGrailsApplication()

### setGrailsApplication

    public void setGrailsApplication(Object value)

### createMappingsHolder

    public Object createMappingsHolder()

### createControllerMap

    public Object createControllerMap()

### getUrlMappingEvaluatees

    public Object getUrlMappingEvaluatees()

### setUp

    public void setUp()

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    public void tearDown()

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### getActions

    public Object getActions(Object controller)

### getDefaultAction

    public Object getDefaultAction(Object controllerName)

### assertController

    public Object assertController(Object controller,
                                   Object url)

### assertAction

    public Object assertAction(Object controller,
                               Object action,
                               Object url)

### assertView

    public Object assertView(Object controller,
                             Object view,
                             Object url)

### assertUrlMapping

    public void assertUrlMapping(Object assertions,
                                 Object url)

### assertUrlMapping

    public void assertUrlMapping(Object assertions,
                                 Object url,
                                 Object paramAssertions)

### assertForwardUrlMapping

    public void assertForwardUrlMapping(Object assertions,
                                        Object url)

### assertForwardUrlMapping

    public void assertForwardUrlMapping(Object assertions,
                                        Object url,
                                        Object paramAssertions)

### assertReverseUrlMapping

    public void assertReverseUrlMapping(Object assertions,
                                        Object url)

### assertReverseUrlMapping

    public void assertReverseUrlMapping(Object assertions,
                                        Object url,
                                        Object paramAssertions)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project